Main Page Widgets Namespaces Book

# Gtk::ScaleButton Class Reference
[Widgets]

Inheritance diagram for Gtk::ScaleButton:

[legend]
List of all members.

## Detailed Description

TODO.

## Public Member Functions

Gtk::Adjustment* | get_adjustment () const
Gtk::Adjustment* | get_adjustment ()
double | get_value () const
const GtkScaleButton* | gobj () const
| Provides access to the underlying C GtkObject.
GtkScaleButton* | gobj ()
| Provides access to the underlying C GtkObject.
| ScaleButton (GtkIconSize size, double min, double max, double step, const Glib::StringArrayHandle& icons)
void | set_adjustment (Gtk::Adjustment& adjustment)
void | set_icons (const Glib::StringArrayHandle& icons)
void | set_value (double value)
virtual | ~ScaleButton ()

## Related Functions

(Note that these are not member functions.)
Gtk::ScaleButton* | wrap (GtkScaleButton* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::ScaleButton::~ScaleButton | ( |  | ) | `[virtual]`

Gtk::ScaleButton::ScaleButton | ( | GtkIconSize | size,
|  | double | min,
|  | double | max,
|  | double | step,
|  | const Glib::StringArrayHandle & | icons |
| ) |  |  | `[explicit]`

## Member Function Documentation

Gtk::Adjustment* Gtk::ScaleButton::get_adjustment | ( |  | ) | const

Gtk::Adjustment* Gtk::ScaleButton::get_adjustment | ( |  | ) |

double Gtk::ScaleButton::get_value | ( |  | ) | const

const GtkScaleButton* Gtk::ScaleButton::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Button.

Reimplemented in Gtk::VolumeButton.

GtkScaleButton* Gtk::ScaleButton::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Button.

Reimplemented in Gtk::VolumeButton.

void Gtk::ScaleButton::set_adjustment | ( | Gtk::Adjustment& | adjustment | ) |

void Gtk::ScaleButton::set_icons | ( | const Glib::StringArrayHandle & | icons | ) |

void Gtk::ScaleButton::set_value | ( | double | value | ) |

## Friends And Related Function Documentation

Gtk::ScaleButton* wrap | ( | GtkScaleButton * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- scalebutton.h